SET TERMOUT OFF

DROP TABLE t03;
CREATE TABLE t03 (
  DNI     VARCHAR2(9) PRIMARY KEY,
  NOM     VARCHAR2(20) NOT NULL,
  COGNOM  VARCHAR2(40) NOT NULL,
  SEXE    CHAR(1) CHECK (SEXE IN ('H','D')),
  EDAT    NUMBER(2),
  ALTA	  DATE NOT NULL,
  BAIXA	  DATE
);

INSERT INTO t03 VALUES ('11111111A', 'Amapola',    'Ruiz',         'D',  21,   TO_DATE('14/02/2005','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('22222222B', 'Josefina',   'Filipendia',   NULL, 24,   TO_DATE('23/07/2006','DD/MM/YYYY'), TO_DATE('31/12/2008','DD/MM/YYYY'));
INSERT INTO t03 VALUES ('33333333C', 'Apapucio',   'Rodriguez',    'H',  22,   TO_DATE('07/03/2008','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('44444444D', 'Gertrudis',  'Jalajamon',    'D',  26,   TO_DATE('05/10/2010','DD/MM/YYYY'), TO_DATE('17/10/2010','DD/MM/YYYY'));
INSERT INTO t03 VALUES ('55555555E', 'Edelberto',  'Marimuntanya', 'H',  NULL, TO_DATE('18/01/2008','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('66666666F', 'Rigoberto',  'Eufrasio',     'H',  19,   TO_DATE('12/11/2005','DD/MM/YYYY'), TO_DATE('15/02/2009','DD/MM/YYYY'));
INSERT INTO t03 VALUES ('77777777G', 'Anacleto',   'Paraparedes',  NULL, 26,   TO_DATE('28/06/2007','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('88888888H', 'Segismunda', 'Paternina',    'D',  21,   TO_DATE('03/08/2009','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('99999999I', 'Olivio',     'Aceituno',     'H',  21,   TO_DATE('14/04/2010','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('98765432J', 'Porfiria',   'Maldades',     'D',  18,   TO_DATE('19/12/2008','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('87654321K', 'Crisostomo', 'Rovellones',   NULL, NULL, TO_DATE('21/08/2009','DD/MM/YYYY'), NULL);
INSERT INTO t03 VALUES ('76543210L', 'Melquiades', 'Tropecientos', 'H',  27,   TO_DATE('05/07/2006','DD/MM/YYYY'), TO_DATE('01/01/2007','DD/MM/YYYY'));

COMMIT;

SET TERMOUT ON

