SET FEEDBACK OFF
ALTER SESSION SET NLS_DATE_FORMAT = 'MM/DD/YYYY';

REM =================================
REM  Definim uns quants treballadors
REM =================================

EXECUTE flxEsborraTaula('KEmpleats');
CREATE TABLE KEmpleats (
  Id NUMBER(11) PRIMARY KEY,
  Nom VARCHAR2(20) NOT NULL,
  Cognom1 VARCHAR2(20) NOT NULL,
  Cognom2 VARCHAR2(20) NOT NULL,
  Sexe CHAR(1) CHECK (Sexe IN ('H','D')),
  Adreca VARCHAR2(100) NOT NULL,
  CodPost NUMBER(5) NOT NULL,
  Poblacio VARCHAR2(100) NOT NULL,
  Email VARCHAR2(100) NOT NULL,
  Naixement DATE NOT NULL,
  Contractacio DATE NOT NULL,
  Sou NUMBER(7,2) NOT NULL,
  Carrec VARCHAR2(40) NOT NULL,
  CapId NUMBER(11),
  BotigaId NUMBER(11)
);
 
INSERT INTO KEmpleats VALUES(   1,'Naiquen','Ceja','Corrales','D','51 Quevedo','15250','Muros','Naiquen.Ceja.Corrales@pookmail.com','9/23/1952'                                        , '06/21/2007', 95000.00, 'Director General'         , NULL, NULL);
INSERT INTO KEmpleats VALUES(   2,'Ionatn','Coln','Colunga','H','70 Rosa de los Vientos','13344','Torre de Juan Abad','Ionatan.Colon.Colunga@dodgit.com','1/25/1982'                 , '06/27/2007', 30000.00, 'Secretari General'        ,    1, NULL);
INSERT INTO KEmpleats VALUES(   3,'Gaspar','Manzanares','Valle','H','37 Visitacin de la Encina','37716','La Hoya','Gaspar.Manzanares.Valle@mailinator.com','3/14/1945'                , '07/05/2007', 50000.00, 'Director RRHH'            ,    1, NULL);
INSERT INTO KEmpleats VALUES(   4,'Aristides','Pelayo','Menndez','H','21 Jos mata','02154','Pozo-Lorente','Aristides.Pelayo.Menendez@pookmail.com','7/20/1951'                      , '07/17/2007', 20000.00, 'Secretari RRHH'           ,    3, NULL);
INSERT INTO KEmpleats VALUES(   5,'No','Ruelas','Tejeda','H','99 C/ Hijuela de Lojo','20300','Irun','Noe.Ruelas.Tejeda@pookmail.com','4/1/1959'                                       , '07/12/2007', 50000.00, 'Director Econmic'        ,    1, NULL);
INSERT INTO KEmpleats VALUES(   6,'Sixta','Ybarra','Jquez','D','42 C/ Domingo Beltrn','02240','Mahora','Sixta.Ybarra.Jaquez@mailinator.com','9/22/1978'                              , '07/14/2007', 20000.00, 'Secretari Econmic'       ,    5, NULL);
INSERT INTO KEmpleats VALUES(   7,'Rancul','Banda','Botello','H','58 La Fontanilla','14450','Aora','Rancul.Banda.Botello@spambob.com','6/14/1967'                                     , '07/21/2007', 45000.00, 'Director Sucursal'        ,    1,    1);
INSERT INTO KEmpleats VALUES(   8,'Janoc','Lucero','Lemus','H','39 Avendao','03850','Beniarrs','Janoc.Lucero.Lemus@dodgit.com','6/15/1955'                                           , '07/26/2007', 20000.00, 'Secretari Sucursal'       ,    7,    1);
INSERT INTO KEmpleats VALUES(   9,'Astra','Solano','Portillo','D','99 Ourense','43300','Mont-roig del Camp','Astra.Solano.Portillo@mailinator.com','9/23/1943'                         , '06/25/2007', 45000.00, 'Director Sucursal'        ,    1,    2);
INSERT INTO KEmpleats VALUES(  10,'Pimpinela','Nez','Cabrera','D','99 C/ Caada del Rosal','21410','Isla Cristina','Pimpinela.Nunez.Cabrera@trashymail.com','11/30/1952'             , '07/17/2007', 20000.00, 'Secretari Sucursal'       ,    9,    2);
INSERT INTO KEmpleats VALUES(  11,'Maya','Cotto','Brito','D','39 Extramuros','28491','Navacerrada','Maya.Cotto.Brito@hotmail.com','4/2/1951'                                           , '06/23/2007', 45000.00, 'Director Sucursal'        ,    1,    3);
INSERT INTO KEmpleats VALUES(  12,'Escolstico','Barraza','Baez','H','48 Ctra. de la Puerta','27250','Castro de Rei','Escolastico.Barraza.Baez@yahoo.es','11/5/1950'                   , '07/15/2007', 20000.00, 'Secretari Sucursal'       ,   11,    3);
INSERT INTO KEmpleats VALUES(  13,'Marcial','Ocampo','Cordova','H','72 Avda. Rio Nalon','33535','Cabranes','Marcial.Ocampo.Cordova@telefonica.es','10/1/1974'                          , '07/11/2007', 45000.00, 'Director Sucursal'        ,    1,    4);
INSERT INTO KEmpleats VALUES(  14,'Natalio','Galindo','Valdivia','H','57 El Roqueo','17230','Palams','Natalio.Galindo.Valdivia@ono.es','3/8/1984'                                     , '07/24/2007', 20000.00, 'Secretari Sucursal'       ,   13,    4);
INSERT INTO KEmpleats VALUES(  15,'Sharif','Dvila','Alaniz','H','56 Plaza Coln','25700','La Seu d''Urgell','Sharif.Davila.Alaniz@yahoo.es','3/13/1944'                               , '07/30/2007', 45000.00, 'Director Sucursal'        ,    1,    5);
INSERT INTO KEmpleats VALUES(  16,'Publia','Guerrero','Aparicio','D','42 C/ Cuevas de Ambrosio','24100','Villablino','Publia.Guerrero.Aparicio@gmail.com','8/9/1965'                   , '08/01/2007', 20000.00, 'Secretari Sucursal'       ,   15,    5);
INSERT INTO KEmpleats VALUES(  17,'Cuyn','Rosas','Daz','H','8 C/ Angosto','23440','Baeza','Cuyen.Rosas.Diaz@gmail.com','5/8/1980'                                                    , '08/14/2007', 25000.00, 'Director Vendes '         ,    7,    1);
INSERT INTO KEmpleats VALUES(  18,'Thalia','Romero','Ramn','D','2 Boriaur enparantza','07430','Llub','Thalia.Romero.Ramon@yahoo.es','6/20/1943'                                     , '08/23/2007', 17000.00, 'Cap Venedors'             ,   17,    1);
INSERT INTO KEmpleats VALUES(  19,'Selena','Vergara','Espinal','D','27 C/ Caada del Rosal','21668','Campofro','Selena.Vergara.Espinal@hotmail.com','2/17/1972'                       , '08/15/2007', 25000.00, 'Director Magatzem'        ,    7,    1);
INSERT INTO KEmpleats VALUES(  20,'Ruth','Muro','Quezada','D','85 Outid de Arriba','43460','Alcover','Ruth.Muro.Quezada@ono.es','7/16/1981'                                            , '08/23/2007', 17000.00, 'Cap Reponedors'           ,   19,    1);
INSERT INTO KEmpleats VALUES(  21,'Palixena','Olivo','Cedillo','D','77 Carretera Cdiz-Mlaga','20850','Mendaro','Palixena.Olivo.Cedillo@ono.es','6/10/1982'                           , '08/12/2007', 17000.00, 'Cap Magatzem'             ,   19,    1);
INSERT INTO KEmpleats VALUES(  22,'Hamanchay','Castro','Sierra','D','48 Caadilla','21810','Palos de la Frontera','Hamanchay.Castro.Sierra@gmail.com','7/24/1960'                      , '08/05/2007', 25000.00, 'Director Administratius'  ,    7,    1);
INSERT INTO KEmpleats VALUES(  23,'Doria','Herrera','Olivera','D','71 C/ Cuevas de Ambrosio','23740','Andjar','Doria.Herrera.Olivera@ono.es','9/9/1973'                               , '08/04/2007', 19000.00, 'Cap Administratius'       ,   22,    1);
INSERT INTO KEmpleats VALUES(  24,'Julieta','Rosario','Zepeda','D','29 Ra do Paseo','41900','Camas','Julieta.Rosario.Zepeda@gmail.com','3/2/1956'                                     , '08/30/2007', 25000.00, 'Director Comercial'       ,    7,    1);
INSERT INTO KEmpleats VALUES(  25,'Husai','Vera','Crdenas','H','98 Enxertos','37511','Agallas','Husai.Vera.Cardenas@hotmail.com','1/18/1984'                                          , '08/18/2007', 25000.00, 'Director Vendes '         ,    9,    2);
INSERT INTO KEmpleats VALUES(  26,'Kemberley','Baca','Otero','D','24 Avda. Alameda Sundheim','22550','Tamarite de Litera','Kemberley.Baca.Otero@hotmail.com','2/10/1943'               , '08/03/2007', 17000.00, 'Cap Venedors'             ,   25,    2);
INSERT INTO KEmpleats VALUES(  27,'Leonid','Lucio','Ozuna','H','85 Cruce Casa de Postas','18260','Illora','Leonid.Lucio.Ozuna@ono.es','8/13/1963'                                      , '08/11/2007', 25000.00, 'Director Magatzem'        ,    9,    2);
INSERT INTO KEmpleats VALUES(  28,'Verbena','Pichardo','Narvez','D','78 Camio Ancho','37779','Aldeavieja de Tormes','Verbena.Pichardo.Narvaez@hotmail.com','1/18/1940'               , '08/22/2007', 17000.00, 'Cap Reponedors'           ,   27,    2);
INSERT INTO KEmpleats VALUES(  29,'Deyanira','Lugo','Rendn','D','33 C/ Fernndez de Leceta','03509','Finestrat','Deyanira.Lugo.Rendon@gmail.com','6/17/1985'                          , '08/16/2007', 17000.00, 'Cap Magatzem'             ,   27,    2);
INSERT INTO KEmpleats VALUES(  30,'Desdmona','Alemn','Ros','D','87 Pl. Virgen Blanca','08630','Abrera','Desdemona.Aleman.Rios@yahoo.es','4/1/1944'                                  , '08/07/2007', 25000.00, 'Director Administratius'  ,    9,    2);
INSERT INTO KEmpleats VALUES(  31,'Jonas','Saldana','Apodaca','H','79 Estrela','39619','Medio Cudeyo','Jonas.Saldana.Apodaca@hotmail.com','4/25/1963'                                  , '08/02/2007', 19000.00, 'Cap Administratius'       ,   30,    2);
INSERT INTO KEmpleats VALUES(  32,'Sunta','Contreras','Curiel','D','25 Cdiz','18450','Alpujarra de la Sierra','Sunta.Contreras.Curiel@telefonica.es','9/21/1955'                      , '08/13/2007', 25000.00, 'Director Comercial'       ,    9,    2);
INSERT INTO KEmpleats VALUES(  33,'Ireneo','Romero','Polanco','H','72 C/ Los Herrn','06490','Puebla de la Calzada','Ireneo.Romero.Polanco@telefonica.es','5/11/1980'                  , '08/14/2007', 25000.00, 'Director Vendes '         ,   11,    3);
INSERT INTO KEmpleats VALUES(  34,'Rauel','Montero','Godoy','H','78 Plaza Coln','25280','Solsona','Rauel.Montero.Godoy@telefonica.es','12/24/1967'                                    , '08/04/2007', 17000.00, 'Cap Venedors'             ,   33,    3);
INSERT INTO KEmpleats VALUES(  35,'Indalecia','Villanueva','Garay','D','70 Avda. Enrique Peinador','37170','Zarapicos','Indalecia.Villanueva.Garay@telefonica.es','8/11/1953'          , '08/27/2007', 25000.00, 'Director Magatzem'        ,   11,    3);
INSERT INTO KEmpleats VALUES(  36,'Mia','Tejada','Zarate','D','82 Rio Segura','31500','Tudela','Mia.Tejada.Zarate@telefonica.es','8/4/1954'                                            , '08/19/2007', 17000.00, 'Cap Reponedors'           ,   35,    3);
INSERT INTO KEmpleats VALUES(  37,'Cleodora','Hinojosa','Velzquez','D','64 Avda. Rio Nalon','33500','Llanes','Cleodora.Hinojosa.Velazquez@telefonica.es','5/14/1969'                  , '08/20/2007', 17000.00, 'Cap Magatzem'             ,   35,    3);
INSERT INTO KEmpleats VALUES(  38,'Madison','Briones','Guzmn','H','55 C/ Angosto','23528','Lupin','Madison.Briones.Guzman@yahoo.es','11/1/1963'                                      , '08/16/2007', 25000.00, 'Director Administratius'  ,   11,    3);
INSERT INTO KEmpleats VALUES(  39,'Elvisa','Rentera','Mascarenas','D','92 C/ Pablo Iglesias','26330','Briones','Elvisa.Renteria.Mascarenas@telefonica.es','6/18/1983'                 , '08/15/2007', 19000.00, 'Cap Administratius'       ,   38,    3);
INSERT INTO KEmpleats VALUES(  40,'Grato','Perales','Matas','H','64 C/ Eras','28752','Lozoyuela-Navas-Sieteiglesias','Grato.Perales.Matias@gmail.com','7/18/1978'                     , '08/10/2007', 25000.00, 'Director Comercial'       ,   11,    3);
INSERT INTO KEmpleats VALUES(  41,'Eugen','Garay','Alva','H','56 Reyes Catlicos','09260','Pradoluengo','Eugen.Garay.Alva@yahoo.es','6/13/1985'                                        , '08/08/2007', 25000.00, 'Director Vendes '         ,   13,    4);
INSERT INTO KEmpleats VALUES(  42,'Petrus','Avils','Duran','H','22 Urziz','44610','Calaceite','Petrus.Aviles.Duran@yahoo.es','1/1/1953'                                              , '08/03/2007', 17000.00, 'Cap Venedors'             ,   41,    4);
INSERT INTO KEmpleats VALUES(  43,'Cosimus','Madera','Colunga','H','86 Avda. de Andaluca','29340','Caete la Real','Cosimus.Madera.Colunga@gmail.com','7/23/1960'                     , '08/02/2007', 25000.00, 'Director Magatzem'        ,   13,    4);
INSERT INTO KEmpleats VALUES(  44,'Deolinda','Quinez','Varela','D','94 Paseo Junquera','12450','Jrica','Deolinda.Quinonez.Varela@gmail.com','3/24/1977'                             , '08/06/2007', 17000.00, 'Cap Reponedors'           ,   43,    4);
INSERT INTO KEmpleats VALUES(  45,'Erroln','Herrera','Muiz','H','96 Apartado de Correos','37429','Aldeanueva de Figueroa','Errolan.Herrera.Muniz@yahoo.es','8/10/1973'               , '08/11/2007', 17000.00, 'Cap Magatzem'             ,   43,    4);
INSERT INTO KEmpleats VALUES(  46,'Ascensin','Ojeda','Morales','D','24 Ventanilla de Beas','28140','Fuente el Saz de Jarama','Ascension.Ojeda.Morales@hotmail.com','5/30/1985'        , '08/25/2007', 25000.00, 'Director Administratius'  ,   13,    4);
INSERT INTO KEmpleats VALUES(  47,'Eleonora','Gurule','Arredondo','D','55 Avda. Rio Nalon','33440','Gozn','Eleonora.Gurule.Arredondo@hotmail.com','9/17/1982'                         , '08/21/2007', 19000.00, 'Cap Administratius'       ,   46,    4);
INSERT INTO KEmpleats VALUES(  48,'Thelma','Caldern','Portillo','D','36 Calle Carril de la Fuente','13250','Daimiel','Thelma.Calderon.Portillo@telefonica.es','3/1/1976'              , '08/12/2007', 25000.00, 'Director Comercial'       ,   13,    4);
INSERT INTO KEmpleats VALUES(  49,'Clarabella','Delgadillo','Daz','D','37 Boriaur enparantza','07580','Capdepera','Clarabella.Delgadillo.Diaz@yahoo.es','2/23/1952'                  , '08/30/2007', 25000.00, 'Director Vendes '         ,   15,    5);
INSERT INTO KEmpleats VALUES(  50,'Erminia','Alemn','Casas','D','41 Boucia','43830','Torredembarra','Erminia.Aleman.Casas@yahoo.es','4/9/1948'                                       , '08/11/2007', 17000.00, 'Cap Venedors'             ,   49,    5);
INSERT INTO KEmpleats VALUES(  51,'Obdulio','Ledesma','Baeza','H','45 C/ Cuevas de Ambrosio','24193','Villaquilambre','Obdulio.Ledesma.Baeza@gmail.com','12/11/1957'                   , '08/02/2007', 25000.00, 'Director Magatzem'        ,   15,    5);
INSERT INTO KEmpleats VALUES(  52,'Ampelio','Guerrero','Galindo','H','87 Boriaur enparantza','07700','Mahn','Ampelio.Guerrero.Galindo@ono.es','3/19/1984'                            , '08/04/2007', 17000.00, 'Cap Reponedors'           ,   51,    5);
INSERT INTO KEmpleats VALUES(  53,'Eudoxia','Duarte','Olmos','D','63 Carretera','14857','Nueva Carteya','Eudoxia.Duarte.Olmos@ono.es','1/25/1958'                                      , '08/17/2007', 17000.00, 'Cap Magatzem'             ,   51,    5);
INSERT INTO KEmpleats VALUES(  54,'Gabino','Espinosa','Arvalo','H','86 Calle Proc. San Sebastin','13100','Piedrabuena','Gabino.Espinosa.Arevalo@telefonica.es','9/4/1977'            , '08/19/2007', 25000.00, 'Director Administratius'  ,   15,    5);
INSERT INTO KEmpleats VALUES(  55,'Aladino','Pizarro','Vasquez','H','81 Avda. Enrique Peinador','37175','Perea de la Ribera','Aladino.Pizarro.Vasquez@yahoo.es','3/7/1953'            , '08/13/2007', 19000.00, 'Cap Administratius'       ,   54,    5);
INSERT INTO KEmpleats VALUES(  56,'Fedro','Valenzuela','Miranda','H','87 Avda. Enrique Peinador','37184','Monterrubio de Armua','Fedro.Valenzuela.Miranda@telefonica.es','12/11/1961' , '08/14/2007', 25000.00, 'Director Comercial'       ,   15,    5);
INSERT INTO KEmpleats VALUES(  57,'Ludwiq','Domnquez','Tamayo','H','75 Boriaur enparantza','07550','Son Servera','Ludwiq.Dominquez.Tamayo@telefonica.es','10/28/1963'                , '08/22/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  58,'Queran','Pichardo','Gil','H','31 Caadilla','22300','Barbastro','Querian.Pichardo.Gil@yahoo.es','5/27/1968'                                        , '08/26/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  59,'Cloe','Muoz','Granado','D','1 Enxertos','37512','Pastores','Cloe.Munoz.Granado@ono.es','11/29/1979'                                                , '08/12/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  60,'Jana','Palomo','Laboy','D','16 C/ Caada del Rosal','21550','Puebla de Guzmn','Jana.Palomo.Laboy@ono.es','6/16/1959'                               , '08/15/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  61,'Dionisia','Collado','Magana','D','76 C/ Canarias','20100','Lezo','Dionisia.Collado.Magana@ono.es','6/18/1968'                                       , '08/24/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  62,'Saba','Zapata','Cedillo','D','18 Enxertos','37524','El Payo','Saba.Zapata.Cedillo@telefonica.es','11/12/1950'                                       , '08/04/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  63,'Kyra','Sauceda','Corrales','D','27 San Andrs','37271','Baobrez','Kyra.Sauceda.Corrales@ono.es','11/24/1984'                                      , '08/25/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  64,'Donna','vila','Aguirre','D','15 Rio Segura','31390','Olite','Donna.Avila.Aguirre@gmail.com','5/4/1971'                                             , '08/19/2007', 15000.00, 'Venedor'                  ,   18,    1);
INSERT INTO KEmpleats VALUES(  65,'Isabelle','Orellana','Uras','D','67 Puerto Lugar','29717','Arenas','Isabelle.Orellana.Urias@ono.es','12/16/1946'                                   , '08/16/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  66,'Jacqueline','Venegas','Lujn','D','63 Carretera','14550','Montilla','Jacqueline.Venegas.Lujan@hotmail.com','12/5/1940'                              , '08/23/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  67,'Elvisa','Alva','Villa','D','40 C/ Los Herrn','06460','Campanario','Elvisa.Alva.Villa@yahoo.es','7/27/1982'                                         , '08/03/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  68,'Zaida','Badillo','Montano','D','13 Avda. de la Estacin','28660','Boadilla del Monte','Zaida.Badillo.Montano@yahoo.es','11/24/1961'                 , '08/10/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  69,'Querubina','Cepeda','Mata','D','42 Ourense','43392','Castellvell del Camp','Querubina.Cepeda.Mata@hotmail.com','5/7/1984'                           , '08/22/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  70,'Catrin','Centeno','Maya','D','22 Puerta Nueva','36000','Pontevedra','Catrin.Centeno.Maya@gmail.com','9/11/1946'                                     , '08/06/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  71,'Dorina','Carrin','Saenz','D','59 Eusebio Dvila','41550','Aguadulce','Dorina.Carrion.Saenz@ono.es','11/28/1976'                                    , '08/21/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  72,'Joscio','Carranza','Apodaca','H','43 C/ Rosa de los Vientos','11630','Arcos de la Frontera','Joscio.Carranza.Apodaca@ono.es','9/15/1975'            , '08/02/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  73,'Ulrico','Padrn','Llarnas','H','14 Ctra. Villena','33900','Langreo','Ulrico.Padron.Llarnas@hotmail.com','1/24/1985'                                 , '08/23/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  74,'Leylen','Mota','Menchaca','D','35 Comandante Izarduy','08920','Santa Coloma de Gramenet','Leylen.Mota.Menchaca@yahoo.es','5/14/1972'                , '08/26/2007', 15000.00, 'Venedor'                  ,   26,    2);
INSERT INTO KEmpleats VALUES(  75,'Osmundo','Covas','Carranza','H','76 C/ Cuevas de Ambrosio','23670','Castillo de Locubn','Osmundo.Covas.Carranza@ono.es','5/10/1975'                , '08/21/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  76,'Raynaldo','Viera','Navarro','H','24 Cao','32911','San Cibrao das Vias','Raynaldo.Viera.Navarro@ono.es','12/14/1948'                               , '08/25/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  77,'Amelio','Soto','Sols','H','19 Constitucin','36968','Meao','Amelio.Soto.Solis@telefonica.es','3/19/1945'                                          , '08/08/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  78,'Alueche','Hidalgo','Samaniego','D','21 C/ Amoladera','28816','Valdeavero','Alueche.Hidalgo.Samaniego@gmail.com','1/4/1949'                          , '08/02/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  79,'Calixta','Sandoval','Loera','D','7 Ventanilla de Beas','28140','Fuente el Saz de Jarama','Calixta.Sandoval.Loera@yahoo.es','7/16/1975'              , '08/13/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  80,'Clemencia','Candelaria','Luna','D','33 Ctra. de Siles','27670','Pedrafita do Cebreiro','Clemencia.Candelaria.Luna@gmail.com','5/20/1979'            , '08/28/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  81,'Huilen','Concepcin','Leiva','D','63 Calvo Sotelo','47420','scar','Huilen.Concepcion.Leiva@telefonica.es','11/27/1984'                             , '08/27/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  82,'Sora','Otero','Ros','D','38 C/ Los Herrn','06360','Fuente del Maestre','Sora.Otero.Rios@ono.es','11/20/1967'                                      , '08/24/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  83,'Raymi','Cedillo','Munguia','H','83 Ctra. de la Puerta','26586','Zarzosa','Raymi.Cedillo.Munguia@ono.es','12/30/1981'                                , '08/06/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  84,'Mijal','Ochoa','Rentera','D','10 C/ Libertad','04880','Tjola','Mijal.Ochoa.Renteria@gmail.com','7/15/1965'                                        , '08/22/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  85,'Betania','Cordero','Ybarra','D','26 Calle Carril de la Fuente','13190','Corral de Calatrava','Betania.Cordero.Ybarra@gmail.com','12/4/1942'         , '08/18/2007', 15000.00, 'Venedor'                  ,   34,    3);
INSERT INTO KEmpleats VALUES(  86,'Arcngela','Lebrn','Tovar','D','68 Celso Emilio Ferreiro','50400','Cariena','Arcangela.Lebron.Tovar@telefonica.es','2/22/1955'                    , '08/27/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  87,'Ordoo','Figueroa','Varela','H','47 Carretera','14740','Hornachuelos','Ordono.Figueroa.Varela@ono.es','8/1/1980'                                    , '08/21/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  88,'Wenzel','Jaramillo','Lara','H','29 Enxertos','37542','Navasfras','Wenzel.Jaramillo.Lara@yahoo.es','4/26/1945'                                      , '08/27/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  89,'Daila','Mayonga','Gaona','D','18 Jos mata','02130','Bogarra','Daila.Mayonga.Gaona@gmail.com','5/4/1971'                                           , '08/20/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  90,'Deidamia','Amaya','Figueroa','D','19 Socampo','37623','Nava de Francia','Deidamia.Amaya.Figueroa@yahoo.es','1/17/1946'                              , '08/04/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  91,'Giorgio','Nevarez','Negrete','H','88 Camio Real','48508','Zierbena','Giorgio.Nevarez.Negrete@yahoo.es','5/26/1970'                                 , '08/17/2007', 15000.00, 'Venedor'                  ,   42,    4);
INSERT INTO KEmpleats VALUES(  92,'Libia','Peres','Grijalva','D','61 Outid de Arriba','43424','Sarral','Libia.Peres.Grijalva@ono.es','12/28/1947'                                      , '08/18/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  93,'Pelagio','Bonilla','Vasquez','H','17 Eusebio Dvila','41310','Brenes','Pelagio.Bonilla.Vasquez@hotmail.com','3/15/1976'                             , '08/02/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  94,'Harry','Yez','Laboy','H','19 Ourense','42000','Soria','Harry.Yanez.Laboy@gmail.com','7/3/1973'                                                    , '08/28/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  95,'Aglae','Vergara','Carren','D','56 Cruce Casa de Postas','18400','rgiva','Aglae.Vergara.Carreon@gmail.com','2/2/1983'                              , '08/22/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  96,'Malva','Corts','Alanis','D','7 Boriaur enparantza','07460','Pollena','Malva.Cortes.Alanis@hotmail.com','3/7/1979'                                , '08/28/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  97,'Velasco','Jimnez','Urrtia','H','98 Padre Caro','13679','Arenas de San Juan','Velasco.Jimenez.Urrutia@gmail.com','4/15/1984'                       , '08/04/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  98,'Bartolom','Gurule','Flrez','H','20 Plazuela do Porto','38400','Puerto de la Cruz','Bartolome.Gurule.Florez@yahoo.es','2/24/1977'                  , '08/14/2007', 15000.00, 'Venedor'                  ,   50,    5);
INSERT INTO KEmpleats VALUES(  99,'Fucsia','Villalpando','Ferrer','D','71 Apartado de Correos','37439','Negrilla de Palencia','Fucsia.Villalpando.Ferrer@gmail.com','4/30/1963'        , '08/24/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 100,'Florida','Arreola','Carmona','D','77 Ra do Paseo','41850','Villamanrique de la Condesa','Florida.Arreola.Carmona@gmail.com','3/8/1978'             , '08/20/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 101,'Licinio','Reyes','Mateo','H','21 Ctra. Beas-Cortijos Nuevos','26511','El Villar de Arnedo','Licinio.Reyes.Mateo@hotmail.com','2/22/1962'            , '08/13/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 102,'Cyrille','Escalante','Arriaga','H','3 Avda. Alameda Sundheim','22530','Zaidn','Cyrille.Escalante.Arriaga@ono.es','9/10/1980'                       , '08/19/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 103,'Diva','Flores','Collado','D','48 Ra do Paseo','41807','Espartinas','Diva.Flores.Collado@gmail.com','11/8/1955'                                     , '08/23/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 104,'Christian','Ramn','Cadena','H','10 Estrela','38820','Hermigua','Christian.Ramon.Cadena@yahoo.es','2/11/1951'                                       , '08/05/2007', 15000.00, 'Reponedor'                ,   20,    1);
INSERT INTO KEmpleats VALUES( 105,'Eduarda','Casas','Abrego','D','3 C/ Pablo Iglesias','26315','Castroviejo','Eduarda.Casas.Abrego@ono.es','7/4/1971'                                  , '08/09/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 106,'Henrey','Vega','Salcido','H','76 Extramuros','28430','Alpedrete','Henrey.Vega.Salcido@hotmail.com','1/8/1978'                                       , '08/28/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 107,'Adaluz','Holgun','Lerma','D','31 Ctra. Bailn-Motril','23200','La Carolina','Adaluz.Holguin.Lerma@hotmail.com','10/26/1943'                        , '08/07/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 108,'Gerald','Alanis','Rael','H','21 Boriaur enparantza','07440','Muro','Gerald.Alanis.Rael@hotmail.com','7/9/1943'                                     , '08/31/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 109,'Mildreda','Abrego','Casrez','D','34 Avda. de Andaluca','29300','Archidona','Mildreda.Abrego.Casarez@gmail.com','7/10/1982'                        , '08/24/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 110,'Alvina','Armenta','Ruiz','D','60 Ra do Paseo','41940','Tomares','Alvina.Armenta.Ruiz@gmail.com','8/7/1958'                                         , '08/04/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 111,'Iva','Flrez','Sanabria','D','70 C/ Amoladera','28890','Loeches','Iva.Florez.Sanabria@telefonica.es','2/16/1945'                                    , '08/23/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 112,'Ammia','Nez','Barajas','D','4 Avda. Enrique Peinador','37183','Mozrbez','Ammia.Nunez.Barajas@hotmail.com','8/3/1948'                             , '08/17/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 113,'Prudenciano','Sevilla','Toro','H','69 Jos mata','02120','Peas de San Pedro','Prudenciano.Sevilla.Toro@ono.es','10/3/1959'                        , '08/07/2007', 15000.00, 'Reponedor'                ,   28,    2);
INSERT INTO KEmpleats VALUES( 114,'Androcles','Serna','Flores','H','9 Atamaria','36636','Ribadumia','Androcles.Serna.Flores@ono.es','11/2/1982'                                        , '08/02/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 115,'Absaln','Armenta','Montalvo','H','9 Pza. Fuensanta','32431','Beade','Absalon.Armenta.Montalvo@gmail.com','2/14/1967'                               , '08/29/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 116,'Domnica','Trejo','Robles','D','38 Fuente del Gallo','15113','Malpica de Bergantios','Domenica.Trejo.Robles@gmail.com','3/11/1967'                 , '08/24/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 117,'Adelino','Cant','Armas','H','96 Avda. de Andaluca','29460','Alpandeire','Adelino.Cantu.Armas@ono.es','1/16/1970'                                  , '08/24/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 118,'Justiniano','Orellana','Paez','H','32 Castelao','48900','Barakaldo','Justiniano.Orellana.Paez@ono.es','9/20/1971'                                   , '08/06/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 119,'Torcuato','Ulloa','Ramrez','H','65 Avda. Andaluca','26133','San Romn de Cameros','Torcuato.Ulloa.Ramirez@telefonica.es','10/6/1979'              , '08/21/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 120,'Folco','Rico','Murillo','H','9 C/ Amoladera','28792','Miraflores de la Sierra','Folco.Rico.Murillo@hotmail.com','9/22/1973'                         , '08/03/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 121,'Edilma','Espinoza','Mata','D','87 Cdiz','18449','Lobras','Edilma.Espinoza.Mata@gmail.com','5/7/1947'                                               , '08/18/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 122,'Remedios','Pulido','Acevedo','D','22 Cdiz','18516','Beas de Guadix','Remedios.Pulido.Acevedo@yahoo.es','8/17/1958'                                 , '08/01/2007', 15000.00, 'Reponedor'                ,   36,    3);
INSERT INTO KEmpleats VALUES( 123,'Xochilt','Gmez','Ulibarri','D','56 Alvaro Cunqueiro','41110','Bollullos de la Mitacin','Xochilt.Gomez.Ulibarri@gmail.com','2/13/1968'             , '08/13/2007', 15000.00, 'Reponedor'                ,   44,    4);
INSERT INTO KEmpleats VALUES( 124,'Laureano','Acosta','Camacho','H','38 Carretera del Muelle','12413','Castellnovo','Laureano.Acosta.Camacho@gmail.com','10/24/1942'                   , '08/13/2007', 15000.00, 'Reponedor'                ,   44,    4);
INSERT INTO KEmpleats VALUES( 125,'Maximilian','Seplveda','Velez','H','72 Valadouro','48210','Otxandio','Maximilian.Sepulveda.Velez@yahoo.es','7/19/1980'                             , '08/06/2007', 15000.00, 'Reponedor'                ,   44,    4);
INSERT INTO KEmpleats VALUES( 126,'Ermelinda','Olivo','Lucero','D','26 Ctra. Hornos','26216','San Milln de Ycora','Ermelinda.Olivo.Lucero@ono.es','9/7/1952'                         , '08/19/2007', 15000.00, 'Reponedor'                ,   52,    5);
INSERT INTO KEmpleats VALUES( 127,'Ignacio','Gonzlez','Contreras','H','39 Alvaro Cunqueiro','41140','Villafranco del Guadalquivir','Ignacio.Gonzalez.Contreras@gmail.com','5/22/1951' , '08/23/2007', 15000.00, 'Reponedor'                ,   52,    5);
INSERT INTO KEmpleats VALUES( 128,'Jemina','Raya','Mercado','D','15 La Fontanilla','14240','Belmez','Jemina.Raya.Mercado@yahoo.es','9/25/1960'                                         , '08/21/2007', 15000.00, 'Reponedor'                ,   52,    5);
INSERT INTO KEmpleats VALUES( 129,'Severo','Murillo','Salcedo','H','31 Enxertos','37511','Agallas','Severo.Murillo.Salcedo@hotmail.com','1/22/1978'                                    , '08/03/2007', 15000.00, 'Reponedor'                ,   52,    5);
INSERT INTO KEmpleats VALUES( 130,'Shirley','Pabn','Collazo','D','94 Cercas Bajas','08170','Montorns del Valls','Shirley.Pabon.Collazo@yahoo.es','1/22/1969'                        , '08/28/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 131,'Iciar','Puente','Bernal','D','14 Maestro Puig Valera','33735','Pesoz','Iciar.Puente.Bernal@yahoo.es','8/26/1964'                                    , '08/03/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 132,'Policarpo','Jaimes','Domnguez','H','28 Cdiz','18452','Juviles','Policarpo.Jaimes.Dominguez@yahoo.es','12/19/1950'                                 , '08/26/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 133,'Caitn','Alejandro','Alonso','H','56 Carretera del Muelle','12410','Altura','Caitan.Alejandro.Alonso@gmail.com','9/1/1958'                          , '08/19/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 134,'Lior','Miramontes','Domnquez','H','8 Bellavista','49620','Santa Cristina de la Polvorosa','Lior.Miramontes.Dominquez@gmail.com','5/27/1980'        , '08/25/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 135,'Saskia','Palacios','Medrano','D','10 Caadilla','21668','La Granada de Ro-TINTO','Saskia.Palacios.Medrano@gmail.com','6/18/1974'                   , '08/17/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 136,'Virgil','Arteaga','Cotto','H','8 Puerto Lugar','29788','Frigiliana','Virgil.Arteaga.Cotto@telefonica.es','10/13/1963'                               , '08/14/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 137,'Honorina','Orta','Fras','D','66 Pza. Fuensanta','32234','A Arnoia','Honorina.Orta.Frias@ono.es','11/3/1954'                                        , '08/05/2007', 15000.00, 'Noi de Magatzem'          ,   21,    1);
INSERT INTO KEmpleats VALUES( 138,'Soln','Aguayo','Gastelum','H','6 Carretera','14520','Fernn-Nez','Solon.Aguayo.Gastelum@gmail.com','11/7/1944'                                   , '08/04/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 139,'Hullen','Huerta','Atencio','H','8 C/ Fernndez de Leceta','03410','Biar','Hullen.Huerta.Atencio@yahoo.es','1/19/1967'                               , '08/06/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 140,'Athina','Espinosa','Zambrano','D','79 C/ Benito Guinea','08400','Granollers','Athina.Espinosa.Zambrano@hotmail.com','5/3/1961'                      , '08/06/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 141,'Lihuel','Aparicio','Urbina','H','99 Cannigo Valio','46650','Canals','Lihuel.Aparicio.Urbina@telefonica.es','4/17/1951'                            , '08/20/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 142,'Baal','Puente','Mireles','H','82 Avda. de Andaluca','29197','Totaln','Baal.Puente.Mireles@hotmail.com','8/8/1965'                                 , '08/13/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 143,'Paine','Zarate','Contreras','D','92 Rio Segura','31320','Milagro','Paine.Zarate.Contreras@telefonica.es','2/20/1955'                                , '08/11/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 144,'Amaru','Godoy','Rentera','H','21 Avendao','04500','Fiana','Amaru.Godoy.Renteria@ono.es','8/3/1953'                                               , '08/23/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 145,'Cesreo','Duarte','Irizarry','H','9 C/ Cuevas de Ambrosio','23711','Baos de la Encina','Cesareo.Duarte.Irizarry@ono.es','3/15/1963'                , '08/25/2007', 15000.00, 'Noi de Magatzem'          ,   29,    2);
INSERT INTO KEmpleats VALUES( 146,'Rosenda','Gamez','Jurado','D','17 Cercas Bajas','08170','Montorns del Valls','Rosenda.Gamez.Jurado@ono.es','5/13/1976'                            , '08/22/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 147,'Bricio','rias','Santana','H','68 Calle Carril de la Fuente','13193','Fontanarejo','Bricio.Arias.Santana@telefonica.es','5/6/1982'                  , '08/19/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 148,'Simn','Zarate','Olmos','H','36 Avda. Generalsimo','31830','Lakuntza','Simon.Zarate.Olmos@yahoo.es','11/3/1977'                                    , '08/12/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 149,'Merlino','Romo','Castro','H','12 Plaza de Espaa','15624','Ares','Merlino.Romo.Castro@hotmail.com','8/11/1971'                                      , '08/23/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 150,'Herodes','Brito','Badillo','H','3 Crta. Cdiz-Mlaga','12170','Sant Mateu','Herodes.Brito.Badillo@hotmail.com','10/8/1985'                          , '08/08/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 151,'Emily','Jimnez','Muoz','D','82 C/ Eras','28737','Gascones','Emily.Jiminez.Munoz@ono.es','1/24/1946'                                               , '08/09/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 152,'Edelira','Lovato','Mares','D','81 El Roqueo','17220','Sant Feliu de Guxols','Edelira.Lovato.Mares@gmail.com','8/29/1969'                           , '08/17/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 153,'Nereo','Lucio','Nevarez','H','48 Celso Emilio Ferreiro','50340','Maluenda','Nereo.Lucio.Nevarez@yahoo.es','3/18/1942'                               , '08/04/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 154,'Tabar','Gaytan','Longoria','H','84 Rosa de los Vientos','13333','Fuenllana','Tabare.Gaytan.Longoria@hotmail.com','5/9/1959'                        , '08/05/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 155,'Digna','Espinosa','Roln','D','60 Escuadro','46830','Benignim','Digna.Espinosa.Rolon@ono.es','2/5/1978'                                            , '08/19/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 156,'Seaghdha','Miramontes','Prado','H','35 Boucia','43780','Gandesa','Seaghdha.Miramontes.Prado@hotmail.com','2/20/1969'                               , '08/29/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 157,'Rafa','Sotelo','Barragn','H','88 La Fontanilla','14230','Villanueva del Rey','Rafa.Sotelo.Barragan@ono.es','3/8/1974'                              , '08/20/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 158,'Fiorella','vila','Callas','D','50 Avda. Rio Nalon','33550','Cangas de Ons','Fiorella.Avila.Callas@telefonica.es','11/22/1941'                     , '08/02/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 159,'Wenzel','Rivas','Lovato','H','18 Pascual Yunquera','18820','Puebla de Don Fadrique','Wenzel.Rivas.Lovato@yahoo.es','3/25/1968'                      , '08/15/2007', 15000.00, 'Noi de Magatzem'          ,   37,    3);
INSERT INTO KEmpleats VALUES( 160,'Fernn','Zamudio','Sanabria','H','18 Camio Ancho','37770','Guijuelo','Fernan.Zamudio.Sanabria@telefonica.es','6/5/1973'                            , '08/12/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 161,'Verenice','Barrera','Ceja','D','27 Atamaria','36530','Rodeiro','Verenice.Barrera.Ceja@yahoo.es','2/9/1947'                                          , '08/11/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 162,'Hortensio','Peres','Roque','H','27 C/ Pablo Iglesias','26321','Pedroso','Hortensio.Peres.Roque@gmail.com','2/18/1968'                               , '08/13/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 163,'Simn','Garibay','Ortiz','H','72 Pza. Fuensanta','32170','Amoeiro','Simon.Garibay.Ortiz@hotmail.com','1/18/1964'                                    , '08/16/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 164,'Orangel','Acosta','Hidalgo','H','69 Inglaterra','18563','Torre-Cardela','Orangel.Acosta.Hidalgo@hotmail.com','5/5/1944'                             , '08/27/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 165,'Sulamita','Anaya','Alcal','D','24 Maestro Puig Valera','33774','San Tirso de Abres','Sulamita.Anaya.Alcala@ono.es','1/10/1968'                     , '08/26/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 166,'Demian','Canales','Caballero','H','11 Rua da Rapina','37494','Castraz','Demian.Canales.Caballero@telefonica.es','5/13/1940'                         , '08/24/2007', 15000.00, 'Noi de Magatzem'          ,   45,    4);
INSERT INTO KEmpleats VALUES( 167,'Donosa','Briones','Pabn','D','90 Ctra. Beas-Cortijos Nuevos','26376','Sojuela','Donosa.Briones.Pabon@hotmail.com','10/31/1970'                     , '08/17/2007', 15000.00, 'Noi de Magatzem'          ,   53,    5);
INSERT INTO KEmpleats VALUES( 168,'Kapriel','Lozada','Garca','D','44 Plaza Maior','37215','Barceo','Kapriel.Lozada.Garcia@telefonica.es','10/30/1967'                                 , '08/28/2007', 15000.00, 'Noi de Magatzem'          ,   53,    5);
INSERT INTO KEmpleats VALUES( 169,'Rosalie','Toledo','Solano','D','76 Ra do Paseo','41809','Albaida del Aljarafe','Rosalie.Toledo.Solano@yahoo.es','10/13/1984'                       , '08/02/2007', 15000.00, 'Noi de Magatzem'          ,   53,    5);
INSERT INTO KEmpleats VALUES( 170,'Bixintxo','Elizondo','Rivera','H','86 Antonio Vzquez','38780','Tijarafe','Bixintxo.Elizondo.Rivera@ono.es','3/30/1965'                             , '08/05/2007', 16000.00, 'Administratiu'            ,   23,    1);
INSERT INTO KEmpleats VALUES( 171,'Herv','Salcedo','Peres','H','92 Plaza Maior','37214','Cabeza del Caballo','Herve.Salcedo.Peres@hotmail.com','1/14/1969'                            , '08/22/2007', 16000.00, 'Administratiu'            ,   23,    1);
INSERT INTO KEmpleats VALUES( 172,'Odina','Robledo','Roque','D','18 C/ Benito Guinea','08397','Pineda de Mar','Odina.Robledo.Roque@ono.es','3/31/1948'                                 , '08/16/2007', 16000.00, 'Administratiu'            ,   23,    1);
INSERT INTO KEmpleats VALUES( 173,'Alano','Naranjo','Sauceda','H','85 Bellavista','50230','Alhama de Aragn','Alano.Naranjo.Sauceda@gmail.com','7/20/1969'                             , '08/18/2007', 16000.00, 'Administratiu'            ,   23,    1);
INSERT INTO KEmpleats VALUES( 174,'Gilda','Valdez','Saenz','D','33 Salzillo','32540','A Gudia','Gilda.Valdez.Saenz@gmail.com','7/2/1960'                                              , '08/30/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 175,'Elpidio','Loera','Valdez','H','14 Camio Real','48370','Bermeo','Elpidio.Loera.Valdez@hotmail.com','11/19/1954'                                     , '08/29/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 176,'Fermina','Pabn','Olvera','D','85 Alvaro Cunqueiro','40200','Cullar','Fermina.Pabon.Olvera@gmail.com','8/8/1974'                                   , '08/07/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 177,'Lion','Cabrera','Valverde','H','78 Ctra. Bailn-Motril','23240','Navas de San Juan','Lion.Cabrera.Valverde@yahoo.es','2/4/1959'                     , '08/18/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 178,'Claudina','Guajardo','Samaniego','D','3 Calle Carril de la Fuente','13195','Poblete','Claudina.Guajardo.Samaniego@gmail.com','5/17/1964'            , '08/15/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 179,'Melany','Abeyta','Madrigal','D','33 Enxertos','37592','Saelices el Chico','Melany.Abeyta.Madrigal@yahoo.es','12/29/1966'                            , '08/20/2007', 16000.00, 'Administratiu'            ,   31,    2);
INSERT INTO KEmpleats VALUES( 180,'Fortunata','Ceja','Casrez','D','42 Zumalakarregi etorbidea','07200','Felanitx','Fortunata.Ceja.Casarez@hotmail.com','1/12/1945'                    , '08/27/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 181,'Agnes','Tamayo','Jquez','D','47 El Roqueo','16660','Las Pedroeras','Agnes.Tamayo.Jaquez@ono.es','7/10/1953'                                       , '08/20/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 182,'Paulo','Aguilar','Mascarenas','H','6 Jos mata','02154','Pozo-Lorente','Paulo.Aguilar.Mascarenas@hotmail.com','5/11/1972'                          , '08/23/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 183,'Argenis','Aguilar','Aranda','H','63 Avda. Explanada Barnuevo','35280','Ingenio','Argenis.Aguilar.Aranda@hotmail.com','6/15/1980'                    , '08/29/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 184,'Fabricia','Aragn','Alcaraz','D','60 Avda. Generalsimo','31820','Etxarri-Aranatz','Fabricia.Aragon.Alcaraz@ono.es','12/2/1959'                     , '08/22/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 185,'Xalome','Rivero','Cotto','D','53 Avda. Enrique Peinador','37183','San Pedro de Rozados','Xalome.Rivero.Cotto@yahoo.es','4/13/1946'                  , '08/15/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 186,'Colomba','Fernndez','Figueroa','D','79 Reiseor','45860','Villacaas','Colomba.Fernandez.Figueroa@ono.es','4/5/1969'                               , '08/05/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 187,'Aleydis','Menndez','Quintero','H','33 Ctra. de Fuentenueva','28214','Fresnedillas de la Oliva','Aleydis.Menendez.Quintero@yahoo.es','12/2/1946'    , '08/29/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 188,'Mariela','Munguia','Peralta','D','27 Puerta Nueva','36416','Mos','Mariela.Munguia.Peralta@hotmail.com','10/10/1958'                                 , '08/08/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 189,'Benon','Jasso','Corts','H','22 Avda. de Andaluca','29327','Teba','Benon.Jasso.Cortes@telefonica.es','6/13/1948'                                   , '08/16/2007', 16000.00, 'Administratiu'            ,   39,    3);
INSERT INTO KEmpleats VALUES( 190,'Ruth','Bernal','Saenz','D','34 Crta. Cdiz-Mlaga','12182','Sierra Engarcern','Ruth.Bernal.Saenz@gmail.com','7/1/1953'                             , '08/27/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 191,'Llanos','Domnguez','Curiel','H','74 Avda. Enrique Peinador','37170','San Pedro del Valle','Llanos.Dominguez.Curiel@hotmail.com','3/10/1958'        , '08/30/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 192,'Kussi','Villa','Ortega','H','71 Cdiz','18500','Guadix','Kussi.Villa.Ortega@gmail.com','10/30/1966'                                                 , '08/20/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 193,'Alejandrina','Caraballo','Castaneda','D','56 Cartagena','30565','Las Torres de Cotillas','Alejandrina.Caraballo.Castaneda@yahoo.es','5/29/1942'     , '08/25/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 194,'Armida','Sarabia','Collazo','D','75 Avendao','04250','Pechina','Armida.Sarabia.Collazo@hotmail.com','8/11/1984'                                    , '08/24/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 195,'Laban','Fierro','Patino','H','97 Valadouro','48144','Zeanuri','Laban.Fierro.Patino@yahoo.es','6/26/1965'                                            , '08/01/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 196,'Atilio','Toledo','Segovia','H','18 Calle Carril de la Fuente','13193','Navalpino','Atilio.Toledo.Segovia@yahoo.es','2/5/1952'                       , '08/09/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 197,'Electra','Velez','Ayala','D','38 Ourense','43140','La Pobla de Mafumet','Electra.Velez.Ayala@ono.es','9/14/1949'                                    , '08/22/2007', 16000.00, 'Administratiu'            ,   47,    4);
INSERT INTO KEmpleats VALUES( 198,'Bab','Segura','Godnez','D','32 Ra Olmos','37406','Poveda de las Cintas','Bab.Segura.Godinez@yahoo.es','5/15/1951'                                 , '08/29/2007', 16000.00, 'Administratiu'            ,   55,    5);
INSERT INTO KEmpleats VALUES( 199,'Vincent','Villanueva','Olivo','H','90 Paseo Junquera','12448','Montanejos','Vincent.Villanueva.Olivo@gmail.com','5/10/1970'                         , '08/07/2007', 16000.00, 'Administratiu'            ,   55,    5);
INSERT INTO KEmpleats VALUES( 200,'Pnfilo','Santana','Lovato','H','60 Escuadro','46910','Benetsser','Panfilo.Santana.Lovato@telefonica.es','7/24/1961'                               , '08/13/2007', 16000.00, 'Administratiu'            ,   55,    5);
INSERT INTO KEmpleats VALUES( 201,'Concordia','Ortiz','Serrato','D','81 Maestro Puig Valera','33578','Peamellera Alta','Concordia.Ortiz.Serrato@telefonica.es','4/24/1977'            , '08/12/2007', 18000.00, 'Comercial'                ,   24,    1);
INSERT INTO KEmpleats VALUES( 202,'Anna','Benavides','Carrero','D','55 Ctra. Bailn-Motril','23300','Villacarrillo','Anna.Benavides.Carrero@yahoo.es','12/29/1969'                     , '08/08/2007', 18000.00, 'Comercial'                ,   24,    1);
INSERT INTO KEmpleats VALUES( 203,'Lope','Galvez','Gamboa','H','6 Pascual Yunquera','18690','Almucar','Lope.Galvez.Gamboa@ono.es','2/11/1983'                                        , '08/03/2007', 18000.00, 'Comercial'                ,   32,    2);
INSERT INTO KEmpleats VALUES( 204,'Atala','Collazo','Iglesias','D','3 Plaza Coln','26120','Albelda de Iregua','Atala.Collazo.Iglesias@ono.es','9/19/1979'                             , '08/14/2007', 18000.00, 'Comercial'                ,   32,    2);
INSERT INTO KEmpleats VALUES( 205,'Amantzi','Castellanos','Leiva','H','92 C/ Fernndez de Leceta','03516','Benimantell','Amantzi.Castellanos.Leiva@yahoo.es','8/28/1975'               , '08/18/2007', 18000.00, 'Comercial'                ,   32,    2);
INSERT INTO KEmpleats VALUES( 206,'Atilano','Cuellar','Gonzlez','H','99 C/ Cuevas de Ambrosio','23750','Arjonilla','Atilano.Cuellar.Gonzalez@ono.es','2/5/1962'                       , '08/09/2007', 18000.00, 'Comercial'                ,   40,    3);
INSERT INTO KEmpleats VALUES( 207,'Ren','Ramos','Garca','H','44 Reiseor','46137','la Pobla de Farnals','Rene.Ramos.Garcia@yahoo.es','1/6/1979'                                      , '08/22/2007', 18000.00, 'Comercial'                ,   40,    3);
INSERT INTO KEmpleats VALUES( 208,'Tubau','Magana','Vera','H','10 Ra de San Pedro','37797','Aldearrodrigo','Tubau.Magana.Vera@telefonica.es','8/24/1946'                              , '08/18/2007', 18000.00, 'Comercial'                ,   40,    3);
INSERT INTO KEmpleats VALUES( 209,'Juliano','Sanabria','Caldern','H','90 Paseo Junquera','12500','Vinars','Juliano.Sanabria.Calderon@yahoo.es','6/5/1940'                            , '08/22/2007', 18000.00, 'Comercial'                ,   40,    3);
INSERT INTO KEmpleats VALUES( 210,'Tzpora','Flrez','Robles','D','79 Ctra. de la Puerta','27220','Friol','Tzipora.Florez.Robles@gmail.com','1/21/1960'                                , '08/09/2007', 18000.00, 'Comercial'                ,   48,    4);
INSERT INTO KEmpleats VALUES( 211,'Numeria','Perea','Perales','D','33 Inglaterra','18650','Drcal','Numeria.Perea.Perales@hotmail.com','6/1/1960'                                      , '08/21/2007', 18000.00, 'Comercial'                ,   48,    4);
INSERT INTO KEmpleats VALUES( 212,'Evelia','Banda','Vanegas','D','94 C/ Amoladera','28760','Tres Cantos','Evelia.Banda.Vanegas@telefonica.es','2/23/1972'                              , '08/13/2007', 18000.00, 'Comercial'                ,   56,    5);

ALTER SESSION SET NLS_DATE_FORMAT = 'DD/MM/RR';
SET FEEDBACK ON
