SET TERMOUT OFF

DROP TABLE Nois;

CREATE TABLE Nois (
	Id		NUMBER PRIMARY KEY,
	Nom		VARCHAR2(20),
	Aniversari	DATE,
	Alcada		NUMBER(3),
	Pes		NUMBER(3),
	NoiaId		NUMBER
);
	
INSERT INTO Nois VALUES(1, 'Joan', TO_DATE('16/07/1984'), 184, 82, 4);
INSERT INTO Nois VALUES(2, 'Manel', TO_DATE('11/01/1986'), 171, 68, 2);
INSERT INTO Nois VALUES(3, 'Robert', TO_DATE('14/08/1983'), 191, 102, 2);
INSERT INTO Nois VALUES(4, 'Lluís', TO_DATE('01/12/1980'), 176, 72, NULL);
INSERT INTO Nois VALUES(5, 'Josep', TO_DATE('08/08/1988'), 163, 52, 1);

DROP TABLE Noies;

CREATE TABLE Noies (
	Id		NUMBER PRIMARY KEY,
	Nom		VARCHAR2(20),
	Aniversari	DATE,
	Alcada		NUMBER(3),
	Pes		NUMBER(3),
	NoiId		NUMBER);
	
INSERT INTO Noies VALUES(1, 'Maria', TO_DATE('18/03/1985'), 168, 93, 3);
INSERT INTO Noies VALUES(2, 'Elisabeth', TO_DATE('17/05/1986'), 174, 63, NULL);
INSERT INTO Noies VALUES(3, 'Antònia', TO_DATE('13/10/1971'), 171, 57, 2);
INSERT INTO Noies VALUES(4, 'Lluïsa', TO_DATE('04/02/1985'), 175, 68, 1);
INSERT INTO Noies VALUES(5, 'Anacleta', TO_DATE('23/09/1982'), 180, 66, 3);
INSERT INTO Noies VALUES(6, 'Júlia', TO_DATE('03/02/1979'), 163, 85, NULL);

DROP TABLE Gent;

CREATE TABLE Gent (
	Id		NUMBER PRIMARY KEY,
	Nom		VARCHAR2(20) NOT NULL,
	Sexe		CHAR(1) CHECK (Sexe IN ('H','D')),
	Aniversari	DATE,
	Alcada		NUMBER(3),
	Pes		NUMBER(3),
	Preferit_Id	NUMBER);
	
INSERT INTO Gent VALUES(1, 'Joan',      'H', TO_DATE('16/07/1984'), 184, 82, 8);
INSERT INTO Gent VALUES(2, 'Maria',     'D', TO_DATE('18/03/1985'), 168, 93, 5);
INSERT INTO Gent VALUES(3, 'Manel',     'H', TO_DATE('11/01/1986'), 171, 68, 4);
INSERT INTO Gent VALUES(4, 'Elisabeth', 'D', TO_DATE('17/05/1986'), 174, 63, NULL);
INSERT INTO Gent VALUES(5, 'Robert',    'H', TO_DATE('14/08/1983'), 191, 102, 4);
INSERT INTO Gent VALUES(6, 'Antònia',   'D', TO_DATE('13/10/1971'), 171, 57, 3);
INSERT INTO Gent VALUES(7, 'Lluís',     'H', TO_DATE('01/12/1980'), 176, 72, NULL);
INSERT INTO Gent VALUES(8, 'Lluïsa',    'D', TO_DATE('04/02/1985'), 175, 68, 1);
INSERT INTO Gent VALUES(9, 'Josep',     'H', TO_DATE('08/08/1988'), 163, 52, 2);
INSERT INTO Gent VALUES(10, 'Anacleta', 'D', TO_DATE('23/09/1982'), 180, 66, 5);
INSERT INTO Gent VALUES(11, 'Júlia',    'D', TO_DATE('03/02/1979'), 163, 85, NULL);

DROP TABLE historic;

CREATE TABLE historic (
	data DATE DEFAULT SYSDATE NOT NULL, 
	id NUMBER NOT NULL, 
	pref NUMBER DEFAULT NULL);

INSERT INTO historic VALUES (TO_DATE('20/06/2009'), 1, NULL);
INSERT INTO historic VALUES (TO_DATE('09/11/2009'), 1, 8);

INSERT INTO historic VALUES (TO_DATE('11/09/2009'), 2, NULL);
INSERT INTO historic VALUES (TO_DATE('11/09/2009'), 2, 1);
INSERT INTO historic VALUES (TO_DATE('09/12/2009'), 2, 3);
INSERT INTO historic VALUES (TO_DATE('27/03/2010'), 2, 5);
INSERT INTO historic VALUES (TO_DATE('08/02/2010'), 2, 9);

INSERT INTO historic VALUES (TO_DATE('05/12/2009'), 3, NULL);
INSERT INTO historic VALUES (TO_DATE('11/12/2009'), 3, 2);
INSERT INTO historic VALUES (TO_DATE('12/12/2009'), 3, NULL);
INSERT INTO historic VALUES (TO_DATE('29/03/2010'), 3, 4);

INSERT INTO historic VALUES (TO_DATE('30/01/2010'), 4, NULL);
INSERT INTO historic VALUES (TO_DATE('30/03/2010'), 4, 5);
INSERT INTO historic VALUES (TO_DATE('07/04/2010'), 4, NULL);

INSERT INTO historic VALUES (TO_DATE('26/03/2010'), 5, NULL);
INSERT INTO historic VALUES (TO_DATE('29/03/2010'), 5, 4);

INSERT INTO historic VALUES (TO_DATE('15/07/2009'), 6, NULL);
INSERT INTO historic VALUES (TO_DATE('16/07/2009'), 6, 1);
INSERT INTO historic VALUES (TO_DATE('15/12/2009'), 6, 3);

INSERT INTO historic VALUES (TO_DATE('11/06/2009'), 7, NULL);
INSERT INTO historic VALUES (TO_DATE('20/07/2009'), 7, 6);
INSERT INTO historic VALUES (TO_DATE('24/07/2009'), 7, NULL);
INSERT INTO historic VALUES (TO_DATE('12/09/2009'), 7, 2);
INSERT INTO historic VALUES (TO_DATE('13/09/2009'), 7, NULL);
INSERT INTO historic VALUES (TO_DATE('05/11/2009'), 7, 8);
INSERT INTO historic VALUES (TO_DATE('08/11/2009'), 7, NULL);
INSERT INTO historic VALUES (TO_DATE('05/03/2010'), 7, 10);
INSERT INTO historic VALUES (TO_DATE('14/04/2010'), 7, NULL);
INSERT INTO historic VALUES (TO_DATE('14/07/2011'), 7, 11);
INSERT INTO historic VALUES (TO_DATE('17/07/2011'), 7, NULL);

INSERT INTO historic VALUES (TO_DATE('02/11/2009'), 8, NULL);
INSERT INTO historic VALUES (TO_DATE('09/11/2009'), 8, 1);

INSERT INTO historic VALUES (TO_DATE('07/02/2010'), 9, NULL);

INSERT INTO historic VALUES (TO_DATE('04/03/2010'),10, NULL);
INSERT INTO historic VALUES (TO_DATE('16/04/2010'),10, 7);
INSERT INTO historic VALUES (TO_DATE('13/04/2010'),10, 5);
INSERT INTO historic VALUES (TO_DATE('17/04/2010'),10, NULL);

INSERT INTO historic VALUES (TO_DATE('13/07/2011'),11, NULL);

DROP TABLE Gent2;

CREATE TABLE Gent2 (
	Id		NUMBER PRIMARY KEY,
	Nom		VARCHAR2(20) NOT NULL,
	Sexe		CHAR(1) CHECK (Sexe IN ('H','D')),
	Aniversari	DATE,
	Alcada		NUMBER(3),
	Pes		NUMBER(3),
	Preferit_Id	NUMBER);
	
INSERT INTO Gent2 VALUES( 1, 'Joan',       'H', TO_DATE('16/07/1984'), 184,  82,   25);
INSERT INTO Gent2 VALUES( 2, 'Manel',      'H', TO_DATE('11/01/1986'), 171,  68,   15);
INSERT INTO Gent2 VALUES( 3, 'Anna',       'D', TO_DATE('12/09/1978'), 156,  56,    9);
INSERT INTO Gent2 VALUES( 4, 'Maria',      'D', TO_DATE('18/03/1985'), 168,  93,   27);
INSERT INTO Gent2 VALUES( 5, 'Lluís',      'H', TO_DATE('01/12/1980'), 176,  72,   12);
INSERT INTO Gent2 VALUES( 6, 'Ruth',       'D', TO_DATE('03/09/1987'), 170,  65,   16);
INSERT INTO Gent2 VALUES( 7, 'Maite',      'D', TO_DATE('25/12/1985'), 182, 104,    1);
INSERT INTO Gent2 VALUES( 8, 'Roger',      'H', TO_DATE('14/08/1983'), 191, 102,   12);
INSERT INTO Gent2 VALUES( 9, 'Albert',     'H', TO_DATE('14/10/1984'), 172, 115,    8);
INSERT INTO Gent2 VALUES(10, 'Carlos',     'H', TO_DATE('03/09/1986'), 169,  72,   25);
INSERT INTO Gent2 VALUES(11, 'Àngel',      'H', TO_DATE('17/05/1979'), 162,  59,   25);
INSERT INTO Gent2 VALUES(12, 'Sandra',     'D', TO_DATE('04/04/1989'), 178,  68,    8);
INSERT INTO Gent2 VALUES(13, 'Aida',       'D', TO_DATE('23/06/1984'), 165,  56,   25);
INSERT INTO Gent2 VALUES(14, 'Raquel',     'D', TO_DATE('12/02/1969'), 165,  68,    1);
INSERT INTO Gent2 VALUES(15, 'Eva',        'D', TO_DATE('15/07/1982'), 181,  76,   26);
INSERT INTO Gent2 VALUES(16, 'Francesc',   'H', TO_DATE('29/03/1988'), 163,  52, NULL);
INSERT INTO Gent2 VALUES(17, 'Josep',      'H', TO_DATE('08/08/1957'), 171,  59,   25);
INSERT INTO Gent2 VALUES(18, 'Xavi',       'H', TO_DATE('16/11/1980'), 176,  70,   20);
INSERT INTO Gent2 VALUES(19, 'Neus',       'D', TO_DATE('04/02/1985'), 175,  68,   20);
INSERT INTO Gent2 VALUES(20, 'Edu',        'H', TO_DATE('09/09/1979'), 174,  82,   18);
INSERT INTO Gent2 VALUES(21, 'David',      'H', TO_DATE('04/01/1985'), 185,  85,   24);
INSERT INTO Gent2 VALUES(22, 'Marcel',     'H', TO_DATE('23/08/1968'), 159,  62,    1);
INSERT INTO Gent2 VALUES(23, 'Montse',     'D', TO_DATE('11/11/1986'), 158,  52,    1);
INSERT INTO Gent2 VALUES(24, 'Judit',      'D', TO_DATE('04/02/1983'), 172,  70,   21);
INSERT INTO Gent2 VALUES(25, 'Elisabeth',  'D', TO_DATE('17/05/1986'), 174,  63,    1);
INSERT INTO Gent2 VALUES(26, 'Carme',      'D', TO_DATE('14/09/1987'), 168,  70,   15);
INSERT INTO Gent2 VALUES(27, 'Àlex',       'H', TO_DATE('01/02/1974'), 170,  65,   25);
INSERT INTO Gent2 VALUES(28, 'Martí',      'H', TO_DATE('05/05/1986'), 178,  75, NULL);
INSERT INTO Gent2 VALUES(29, 'Pau',        'H', TO_DATE('10/10/1981'), 180,  79,   24);
INSERT INTO Gent2 VALUES(30, 'Oriol',      'H', TO_DATE('15/03/1984'), 186,  85,   18);
INSERT INTO Gent2 VALUES(31, 'Jéssica',    'D', TO_DATE('25/07/1990'), 168,  66,   36);
INSERT INTO Gent2 VALUES(32, 'Joel',       'H', TO_DATE('30/03/1987'), 181, 112,   20);
INSERT INTO Gent2 VALUES(33, 'Antònia',    'D', TO_DATE('13/10/1971'), 171,  57, NULL);
INSERT INTO Gent2 VALUES(34, 'Eric',       'H', TO_DATE('23/11/1990'), 179,  81,   25);
INSERT INTO Gent2 VALUES(35, 'Anna Maria', 'D', TO_DATE('23/09/1982'), 180,  66,    1);
INSERT INTO Gent2 VALUES(36, 'Pol',        'H', TO_DATE('23/10/1989'), 176,  70,   31);
INSERT INTO Gent2 VALUES(37, 'Vanessa',    'D', TO_DATE('12/08/1975'), 162,  58,   12);
INSERT INTO Gent2 VALUES(38, 'Lluïsa',     'D', TO_DATE('07/11/1980'), 147,  59,   38);
INSERT INTO Gent2 VALUES(39, 'Enric',      'H', TO_DATE('20/10/1982'), 192,  83,    8);
INSERT INTO Gent2 VALUES(40, 'Dúnia',      'D', TO_DATE('03/02/1979'), 163,  85,   32);

GRANT SELECT ON Gent TO hr;

COMMIT;

SET TERMOUT ON
SET FEEDBACK OFF
SET SERVEROUTPUT ON
BEGIN
	DBMS_OUTPUT.PUT_LINE('Informació afegida');
END;
/
SET FEEDBACK ON

